Get data from captaindata companies enrich
curl --request GET \
--url https://api.captaindata.com/v1/companies/enrich \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.captaindata.com/v1/companies/enrich"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.captaindata.com/v1/companies/enrich', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uid": "<string>",
"company_name": "<string>",
"specialties": [
"<string>"
],
"tagline": "<string>",
"li_company_id": 123,
"description": "<string>",
"type": "<string>",
"founded_on": 123,
"li_company_url": "<string>",
"website": "<string>",
"li_company_phone": "<string>",
"sn_company_url": "<string>",
"industries": [
"<string>"
],
"industry": "<string>",
"li_job_search_url": "<string>",
"li_followers_count": 123,
"number_employees": 123,
"employees_range": "<string>",
"li_employees_url": "<string>",
"country": "<string>",
"geographic_area": "<string>",
"city": "<string>",
"postal_code": "<string>",
"headquarters": "<string>",
"locations": [
{
"address": "<string>",
"geographic_area": "<string>",
"street": "<string>",
"postal_code": "<string>",
"city": "<string>",
"country": "<string>"
}
],
"number_of_locations": 123,
"last_funding_investors": [
{
"name": "<string>",
"crunchbase_company_url": "<string>"
}
],
"crunchbase_company_url": "<string>",
"last_funding_date": "2023-12-25",
"last_funding_type": "<string>",
"last_funding_raised": 123,
"last_funding_currency": "<string>",
"logo_url": "<string>",
"domain": "<string>",
"location": "<string>",
"school_uid": "<string>",
"li_school_id": 123,
"li_page_claimed": true,
"updated_at": "2023-11-07T05:31:56Z",
"affiliates": [
{
"company_uid": "<string>",
"company_name": "<string>",
"li_company_id": 123,
"followers_count": 123,
"industry": "<string>",
"li_company_url": "<string>"
}
]
}{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}Companies
Enrich Company
Get comprehensive company information from a LinkedIn company URL.
GET
/
companies
/
enrich
Get data from captaindata companies enrich
This operation costs 1 credit.Coming Soon: We’re working on adding the ability to enrich company information based on domain names (e.g.,
example.com) instead of requiring a LinkedIn Profile URL.LinkedIn URLs must be valid company URLs. Use Find Company to get valid LinkedIn URLs from company names.
Authorizations
Query Parameters
A LinkedIn Company URL should start with 'https://www.linkedin.com/sales/company', 'https://www.linkedin/showcase' 'https://www.linkedin.com/company' or 'https://www.linkedin.com/school'"
Pattern:
/^https:\/\/(?:(www|[a-z]{2})\.)?linkedin\.com\/(?:sales\/)?(?:school|pub|company|showcase)\/[\w%-]+(?:\/(?:\w+)?)?/iResponse
Successful response
Industries taxonomy (v2)
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes